Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos
Class SLAThresholdEventAdapter

    java.lang.Object
      org.jini.rio.event.EventNotificationAdapter
          org.jini.rio.qos.SLAThresholdEventAdapter

All Implemented Interfaces:
  Remote, EventListener, RemoteEventListener, SLAPolicyEventListener

    public class SLAThresholdEventAdapter

extends EventNotificationAdapter
implements SLAPolicyEventListener

Provides the support to transform SLAThresholdEvent notifications to JMX notifications

Field Summary
`static String` | `EVENT_TYPE_BREACHED`
`static String` | `EVENT_TYPE_CLEARED`
`protected static MBeanNotificationInfo` | `NOTIFICATION_INFO`

Fields inherited from class org.jini.rio.event.EventNotificationAdapter
`notificationBroadcasterSupport, objectName`

Constructor Summary
`SLAThresholdEventAdapter(ObjectName objectName, NotificationBroadcasterSupport notificationBroadcasterSupport)` Create a SLAThresholdEventAdapter

Method Summary
`MBeanNotificationInfo` | `getNotificationInfo()` Get the MBeanNotificationInfo for the transformed SLAThresholdEvent
`void` | `notify(RemoteEvent theEvent)` Transforms the notification of a SLAThresholdEvent to a JMX notification
`void` | `policyAction(SLAPolicyEvent event)` Notification of a SLAPolicyEvent

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EVENT_TYPE_BREACHED

    public static final String EVENT_TYPE_BREACHED

See Also:
  Constant Field Values

### EVENT_TYPE_CLEARED

    public static final String EVENT_TYPE_CLEARED

See Also:
  Constant Field Values

### NOTIFICATION_INFO

    protected static final MBeanNotificationInfo NOTIFICATION_INFO

Constructor Detail

### SLAThresholdEventAdapter

    public SLAThresholdEventAdapter(ObjectName objectName,
                                    NotificationBroadcasterSupport notificationBroadcasterSupport)

  Create a SLAThresholdEventAdapter

  Parameters:
    `objectName` - The JMX ObjectName
    `notificationBroadcasterSupport` - The JMX NotificationBroadcasterSupport

Method Detail

### notify

    public void notify(RemoteEvent theEvent)
                throws UnknownEventException,
                       RemoteException

  Transforms the notification of a SLAThresholdEvent to a JMX notification

  Specified by:
    `notify` in interface `RemoteEventListener`
  Specified by:
    `notify` in class `EventNotificationAdapter`
  Parameters:
    `theEvent` - The remote evet notification
  Throws:
    `UnknownEventException` - If theEvent argument is an unknown or unexpected type
    `RemoteException`
  See Also:
    `EventNotificationAdapter.notify(net.jini.core.event.RemoteEvent)`

### policyAction

    public void policyAction(SLAPolicyEvent event)

  Notification of a SLAPolicyEvent

  Specified by:
    `policyAction` in interface `SLAPolicyEventListener`
  Parameters:
    `event` - The SLAPolicyEvent

### getNotificationInfo

    public MBeanNotificationInfo getNotificationInfo()

  Get the MBeanNotificationInfo for the transformed SLAThresholdEvent

  Specified by:
    `getNotificationInfo` in class `EventNotificationAdapter`
  Returns:
    The `MBeanNotificationInfo` for the JMX notification
  See Also:
    `EventNotificationAdapter.getNotificationInfo()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.